@echo off
REM Licensed Materials - Property of IBM
REM   5698-B34  Copyright IBM Corp. 2009                         
REM   All rights reserved.                                              
REM                                                                  
REM   US Government Users Restricted Rights - Use, duplication or       
REM   disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
REM
REM    File: tivoli_eif/zOSEventSupport_copy.bat, OMNIbus, EventPump
REM    SID: 1.3
REM    Date Modified: 09/03/26 16:42:58
REM
REM    Change History:
REM    YY/MM/DD            Description
REM    08/09/26            Initial  IBM Tivoli Event Pump for z/OS V4.2
REM    09/02/16            Add parms, copy to OMNIbus directory.
REM    08/02/19            defect 174761
REM 
REM   This batch file will copy all files from the current directory to 
REM   the %ONMIHOME%/etc/EventPump directory.  

if ("%OMNIHOME%") == ("") goto OMNIdef
mkdir "%OMNIHOME%\etc\EventPump"
if exist "%OMNIHOME%\etc\EventPump" goto copyit2
echo The EventPump path does not exist
goto done
:copyit2
copy *.bat "%OMNIHOME%\etc\EventPump"
copy zos_files\*.sql "%OMNIHOME%\etc\EventPump"
copy zos_files\*.rules "%OMNIHOME%\etc\EventPump"
goto done
:OMNIdef
echo The environment variable OMNIHOME is not defined
:done

